Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractItemDelegate.EndEditHint

    java.lang.Object
      java.lang.Enum<QAbstractItemDelegate.EndEditHint>
          com.trolltech.qt.gui.QAbstractItemDelegate.EndEditHint

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractItemDelegate.EndEditHint>

Enclosing class:
  QAbstractItemDelegate

    public static enum QAbstractItemDelegate.EndEditHint

extends java.lang.Enum<QAbstractItemDelegate.EndEditHint>
implements QtEnumerator

This enum describes the different hints that the delegate can give to the model and view components to make editing data in a model a comfortable experience for the user.

Constant | Value | Description
--- | --- | ---
`NoHint` | `0` | There is no recommended action to be performed.

These hints let the delegate influence the behavior of the view:

Constant | Value | Description
--- | --- | ---
`EditNextItem` | `1` | The view should use the delegate to open an editor on the next item in the view.
`EditPreviousItem` | `2` | The view should use the delegate to open an editor on the previous item in the view.

Note that custom views may interpret the concepts of next and previous differently.

The following hints are most useful when models are used that cache data, such as those that manipulate date locally in order to increase performance or conserve network bandwidth.

Constant | Value | Description
--- | --- | ---
`SubmitModelCache` | `3` | If the model caches data, it should write out cached data to the underlying data store.
`RevertModelCache` | `4` | If the model caches data, it should discard cached data and replace it with data from the underlying data store.

Although models and views should respond to these hints in appropriate ways, custom components may ignore any or all of them if they are not relevant.

Enum Constant Summary
`EditNextItem` The view should use the delegate to open an editor on the next item in the view.
`EditPreviousItem` The view should use the delegate to open an editor on the previous item in the view.
`NoHint` There is no recommended action to be performed.
`RevertModelCache` If the model caches data, it should discard cached data and replace it with data from the underlying data store.
`SubmitModelCache` If the model caches data, it should write out cached data to the underlying data store.

Method Summary
`static QAbstractItemDelegate.EndEditHint` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemDelegate.EndEditHint` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractItemDelegate.EndEditHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoHint

    public static final QAbstractItemDelegate.EndEditHint NoHint

  There is no recommended action to be performed.

### EditNextItem

    public static final QAbstractItemDelegate.EndEditHint EditNextItem

  The view should use the delegate to open an editor on the next item in the view.

### EditPreviousItem

    public static final QAbstractItemDelegate.EndEditHint EditPreviousItem

  The view should use the delegate to open an editor on the previous item in the view.

### SubmitModelCache

    public static final QAbstractItemDelegate.EndEditHint SubmitModelCache

  If the model caches data, it should write out cached data to the underlying data store.

### RevertModelCache

    public static final QAbstractItemDelegate.EndEditHint RevertModelCache

  If the model caches data, it should discard cached data and replace it with data from the underlying data store.

Method Detail

### values

    public static final QAbstractItemDelegate.EndEditHint[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractItemDelegate.EndEditHint c : QAbstractItemDelegate.EndEditHint.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractItemDelegate.EndEditHint valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractItemDelegate.EndEditHint resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD